<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
  <link rel="stylesheet" type="text/css" href="userguide_apollorna_files/apollorna.css">
  <title>ApolloRNA: user guide</title>
  <meta http-equiv="Content-Type" content="text/html">
  <meta name="Description" content="ApolloRNA: user guide">
  <meta name="Keywords"
 content="ApolloRNA, Apollo, ncRNA, ARNnc, visualization, visualisation, identification">
</head>
<body class="body">
<table CELLSPACING=15>
	<tr valign="top" align="left"><td><img src="userguide_apollorna_files/ApolloRNA_45.png" alt="ApolloRNA image"></td><td class="title">User Guide</td></tr>
</table>


<p class="contain">
<a href="http://carlit.toulouse.inra.fr/ApolloRNA">
ApolloRNA</a> 1.11.3a (February 17, 2010) provides some extensions for 
<a href="http://apollo.berkeleybop.org/current/index.html">Apollo 1.11.3</a> related to non
protein coding RNA identification:<br>
</p>

<div class="contain">
<ul>
  <li><a href="#StructureWindow">Computing and viewing predicted
secondary structure of a selected sequence</a> (RNA menu),<br>
  </li>
  <li><a href="#RNARNAInteraction">Searching and viewing RNA/RNA
interactions</a> (RNA menu),<br>
  </li>
  <li><a href="#QuantitativeVariables">Visualizing quantitative
variables all along the loaded sequence</a> (Analysis menu),<br>
  </li>
  <li><a href="#SequenceInfo">Getting information (G and C percent ...) 
on selected sequence</a> (Analysis menu), <br>
  </li>
  <li><a href="#ExportImage">Exporting chained views of a user-defined
sub-sequence</a> (File menu).<br>
  </li>
</ul>
To get more information about Apollo, see the <a
 href="http://apollo.berkeleybop.org/current/userguide.html">Apollo User
guide</a>.<br>
Examples data files: <a href="http://carlit.toulouse.inra.fr/ApolloRNA/data/NC_000868.xml.txt">NC_000868.xml</a> (<i>Pyrococcus abyssi</i> Genbank annotations),  
<a href="http://carlit.toulouse.inra.fr/ApolloRNA/data/NC_000868_mfe150.txt">NC_000868_mfe150.txt</a> <i>(Pyrococcus abyssi</i> free energy on a 150 nucleotides sliding window)<br>
</div><br>



<hr>
<div class="title1">Enabling RNA menu <br></div>
<blockquote>
  <div class="contain">The RNA menu is automatically enabled when required external softwares are launchable on the computer.<br>
Secondary structure prediction (first item) is activated if RNAfold (<a href="http://www.tbi.univie.ac.at/~ivo/RNA/">Vienna RNA package</a>) and convert (<a href="http://www.imagemagick.org/script/index.php">ImageMagick</a>) are launchable.<br>
RNA/RNA interaction search (second item) is actived if RNAfold and RNAeval (<a href="http://www.tbi.univie.ac.at/~ivo/RNA/">Vienna RNA package</a>) are launchable.<br>
Go to <a href="http://carlit.toulouse.inra.fr/ApolloRNA/download.html">Download page</a> of <a href="http://carlit.toulouse.inra.fr/ApolloRNA">ApolloRNA web site</a>, for a detail download and install protocol of these softwares.<br>
</blockquote><br>


<div><a name="StructureWindow"></a></div>
<hr>
<div class="title1">Computing and viewing predicted secondary structure
of a selected sequence<br>
</div>
<blockquote>
  <div class="contain">This extension allows the computing and the
visualization of the secondary structure of a subsequence, predicted
with <a href="http://www.tbi.univie.ac.at/%7Eivo/RNA">RNAfold</a>. The
user can save it in a image file. convert program of <a
 href="http://www.imagemagick.org/script/index.php">ImageMagick</a> is
used to translate the image generated by RNAfold to GIF format image and to flip the image. <i>
Note that this functionality is not available if no sequence is loaded in Apollo or 
if the length of the selected sequence is higher than 1 500 nt.</i></div>
</blockquote>
<div class="title2">Description</div>
<blockquote>
  <div class="contain"> Select a feature or a sequence, open
RNA menu and select "Secondary structure compute...". A window 
opens (see below). The free energy of the predicted structure is
displayed on the right. Note that if more than one sequence are
selected, only the structure of the first sequence is computed.<br><br>
  <div style="text-align: center;"><img
 src="userguide_apollorna_files/ApolloStructureWindow_reduce.png"
 alt="secondary structure window"></div>
  </div>
</blockquote>

<div class="title2">Options</div>
<blockquote>
  <div class="contain">
  <ul>
    <li> Check the "Corresponding
genomic sequence +/- x bases" checkbox and put a x value in the
textfield, and the corresponding sequence and structure will be
computed and displayed in the same window.</li>
    <li> Click the "Save structure as..." button to save the currently
displayed image as GIF file.</li>
    <li> Click the "Save sequence as..." button to save the currently
displayed sequence(s) as a multiple-FASTA file.</li>
    <li> Check the "Follow external selection" checkbox and the window
will follow selections made in the main Apollo window. </li>
    <li>Click the "New structure window..." button to launch a new
structure window from the current one.</li>
 <li>Click the "Flip image" button to flip image in the vertical direction.</li>
  </ul>
  </div>
</blockquote>


<!-- RNA RNA interaction -->
<div><a name="RNARNAInteraction"></a></div>
<hr>
<div class="title1">Searching and viewing RNA/RNA interactions</div>
<blockquote>
<div class="contain">
A request sequence is defined and research genomic
regions are scanned to find potential RNA targets of the request 
sequence. 
<i>Note that this functionality is not available if no sequence is loaded 
in Apollo or if the "Reverse complement" option is checked.</i>
</div>
</blockquote>

<div class="title2">Search RNA/RNA interactions</div>
  <div class="contain"> 
  <ul>
    <li>Select a sequence. (Optional)
    </li>
   
    <li>Open the RNA menu and select "Search RNA/RNA interaction".<br>
    A window for configuring the interaction research opens (see below). If a sequence is selected,
    some fields of the "Specifications of the request sequence" part are filled. <br>
    <br>
    <div style="text-align: center;"><img src="userguide_apollorna_files/CommentSearchInteractionWindow.png"
    alt="Parameter search window" style="text-align: center;"></div><br>
    </li>

    <li>In the "Specifications of the request sequence" part, 
    specify the request sequence by checking one of the radio buttons. 
    Three ways allow to specify it:<br>
    - by selecting a sequence in the main Apollo window before clicking the "Search RNA/RNA interaction" item,<br>
    - by entering the low genomic position, the length and the strand of a sequence,<br>
    - by entering directly a nucleotidic sequence.
    </li><br>

    <li>In the "Specifications of search regions" part, select and specify the criteria
    characterizing the explored regions. <br>
    <i>All the selected critera are combinated to determine research regions.</i> 
    See below for examples of criteria and underneath the corresponding research 
    regions painted in gray (start codons are painted in green, stop codons in red):<br>
    <ul>
        <li>Genomic positions <b>500</b> to <b>1500</b> AND Strand <b>+</b><br>
	<img src="userguide_apollorna_files/region1000to2000.png"
        alt="region from 500 to 1500"><br>
        </li>
        <li>Genomic positions <b>1</b> to <b>2000</b> AND Defined regions <b>100-500,1000-1500</b> 
	AND Strand <b>+</b><br>
	<i>"Defined regions" syntax: a region is represented by start and end positions, 
	separated by a dash (100-500). Two regions are separated by a comma.</i><br>
	<img src="userguide_apollorna_files/definedRegions.png"
	   alt="regions from 100 to 500 and from 1000 to 1500 "><br>
	</li>
        <li>Genomic positions <b>500</b> to <b>1500</b> AND Around start
        codon: -<b>10</b> nt AND Strand <b>+</b><br>
        <img src="userguide_apollorna_files/regionBeforeStart.png"
        alt="region around start">
        </li>
        <li>Genomic positions <b>1</b> to <b>2000</b> AND Strand <b>+</b> AND Intergenic regions<br>
        <img src="userguide_apollorna_files/regionIntergenic.png"
        alt="region intergenic"></li>
   </ul>
   To compute research regions, annotated genes are scanned. Note that the genes 
   of circular genomes which start before the genomic stop position 
   and which stop after the genomic start position are not scanned.<br><br>
   </li>

   <li>In the "Specification of the search procedure" part, click the tab of the choosen method and 
   enter the method parameters.<br>
   The first tab is used to launch the interaction research method based on the fold. 
   A click on the "Info: compute number of windows" button computes and displays the number 
   of explored potential targets. This number is clearly related to the search procedure 
   required time. The second tab (see below) is used to launch the interaction research based on the alignment. 
   A click on the "Save parameters" button saves the current method parameters: 
   they will be reloaded at the next opening of the window.<br><br>
   <div style="text-align: center;"><img src="userguide_apollorna_files/AlignmentPanel_reduce.png"></div><br>
   <ul>
     <li>
     <u>Description of the Fold based method</u>. The general idea of this method is to build a temporary
	sequence which appends the request sequence, a special
	sequence called linker and a potential target. This temporary sequence
	is then folds with <a href="http://www.tbi.univie.ac.at/%7Eivo/RNA">RNAfold</a>.
	The interactions between the request sequence and the target are
	extracted. The free energy of the interaction is computed with <a
	 href="http://www.tbi.univie.ac.at/%7Eivo/RNA">RNAeval</a> and the
	interaction is evaluated throught this value. 
	More precisely, the method explores regions of genome with a sliding window.
	At each step, the method considers the value of the interaction as
	explained above between the request sequence and the one
	corresponding to the sliding window. Only the better potential targets
	are stored. <br>
	The parameters of this method are:
  	<ul>
    	<li>the size of the sliding window (between 5 and 100 nucleotides)<br>
    	</li>
    	<li>the shift of the sliding window at each step (between 1 and 20
	nucleotides)<br>
    	</li>
    	<li>a sequence of nucleotides called the linker (this sequence has to be
	sufficiently long to allow folding, between 3 and 10 nucleotides, and
	composed of nucleotides that will not be involved in interactions
	(nucleotide N is prefered but A, U, G, C, T are also allowed)<br>
    	</li>
    	<li>the maximum number of potential targets that are stored
	(between 5 and 1000).</li>
  	</ul>
      </li><br>
      <li>
	<u>Description of the Alignment based method</u>. The general idea of this method 
	is to align the request sequence and a potential target using a local 
	alignment algorithm. The request sequence is aligned with each defined
	region using the Smith and Waterman alignment algorithm adapted from 
	<a href="http://jaligner.sourceforge.net/">JAligner</a> 
	<i>[Ahmed Moustafa, JAligner: Open source Java implementation of Smith-Waterman, 
	http://jaligner.sourceforge.net]</i>. The default scoring matrix is defined 
	to look for an interaction between the two sequences instead of an alignment. 
	Thus the A-T, G-C and G-T matchs have positive default values. 
	The method extracts one potential target per region. Targets which have the 
	best alignment score are stored. <br>The parameters of this method are:
  	<ul>
    		<li>the scoring matrix (values between -50 and 50)</li>
    		<li>the opening gap penality (between -50 and 0)</li> 
    		<li>the extension gap penality (between -50 and 0)</li>
    		<li>the maximum number of potential targets that are stored (between 5 and 1000).</li>
  	</ul>
	The score of a mismatch not specified in the scoring matrix (for instance A-N) is equal to -4. 
    </li>
  </ul>
  </li><br>

  <li>In the fourth part, click the "Search" button: the research of
  targets in the specified regions starts. 
  </li>
  </ul>
</div>

<div class="title2">Viewing RNA/RNA interactions</div>

<blockquote>
<div class="contain">
  When the research is achieved, a new window opens (see below) with
  a table listing the predicted targets of the request sequence.<br><br>
  <div style="text-align: center;"><img
  src="userguide_apollorna_files/CommentResultInteractionWindow.png"
  alt="result interaction research window"></div>
  <br>
  The table presents one target per line with the following description
  of each column:
  <blockquote><p>
    <b>Position</b>: low genomic position,<br>
    <b>St</b>: strand,<br>
    <b>Interaction</b>: interaction visualization, (The target is
    painting in red, the request sequence
    in blue)<br>
    Clicking on the picture opens a new window to better see the
    interaction,<br>
    <b>Prev</b>: preceeding gene and its distance with overlapping gene(s),<br>
    <b>Gene Pos</b>: low genomic position of overlapping gene(s),<br>
    <b>Gene</b>: overlapping gene(s),<br>
    <b>Gene Desc</b>: description of overlapping gene(s) product, and in parentheses 
    the related comments when the product is an hypothetical protein. In a Genbank file, 
    the gene product is contained in its qualifier "/product" and the related comments in the qualifier 
    "/Note".<br>
    <b>Next</b>: following gene and its distance with overlapping gene(s),<br>
    <b>Strands</b>: respectively, strands of  the previous gene, overlapping gene(s) 
    and the next gene, ('>' for strand +, '<' for strand - and '.' when no value)<br>
    <b>L</b>: length of the interaction,<br>
    <b>Var1</b>: main variable of the search method (the one of the fold based method is the interaction free energy computed by RNAeval, the one of the alignment based method is the score of the alignment), <br>
    <b>Var2</b>: secondary variable of the search method (the one of the fold based method is the RNAfold free energy),<br>
     <b>N&deg;</b>: order number according to the search method,<br>
     <b>Pos N&deg;</b>: order number according to the genomic position. 
   </blockquote>

   Click the "Save to text" button to save the interactions in a text file.<br>
   Click the "Save to fasta" button to save the target sequences in a multiple-fasta file.<br>
   Click the "Save to GFF" button to save the targets in a GFF file.<br>
   Click on an interaction picture: a new window opens (see
below). Click the "Save image as..." button to save the interaction
visualization as a PNG file. <br><br>
  <div style="text-align: center;"><img
 src="userguide_apollorna_files/ApolloViewInteractionWindow.png"
 alt="View interaction window">
</div><br>
The two previous windows contain a "Configure
visualization" button,
that allows to modify the characters linking two paired nucleotides in
the visualization.
  <ul>
    <li>Click this button. </li>
    <li>In the new opened window (see below), change characters and
    click the "OK" button: the interaction visualizations are updated using the
    new characters.</li>
  </ul>
  <div style="text-align: center;"><img
  src="userguide_apollorna_files/ApolloConfigureWindow.png" alt="Configure window">
  </div>
  </div>
</blockquote>





<div><a name="QuantitativeVariables"></a></div>
<hr>
<!-- quantitative variables-->
<div class="title1">Visualizing quantitative variables all along the
loaded sequence</div>
<blockquote>
  <div class="contain">Apollo users could only display the graph of
"GC%" variable on a sliding
window. This extension allows the visualization of up to five
additional graphs on Apollo's main window. These graphs could be based
on
internal computed values or from other software outputs.<br>
  </div>
</blockquote>
<div class="title2">Description</div>
<blockquote><p>
  <div class="contain">
  <ul>
    <li>Open the Analysis menu and select "Show quantitative
variable...".<br>
A new window dedicated for quantitative variables visualization opens (see below).<br>
    <br>
    <div style="text-align: center;"><img
 src="userguide_apollorna_files/ApolloQuantVarWindow.png"
 alt="Five graphs set"></div>
    <br>
The window is composed of two tables. .<br>
<br>
The first one is used to load external data. For each graph to be shown, there are five fields:
    <blockquote><p><b>Quantitative Variable</b>: name of the loaded file
that contains the variable values.<br>
      <b>Show</b>: checkbox used to show or hide the graph when it is
created.<br>
      <b>Color</b>: current graph color. You can change the color of
the graph by clicking on it.<br>
      <b>Load Data</b>: button that lets you choose a file to be
loaded. It also creates a new graph and make it visible.<br>
      <b>Delete</b>: button used to remove a graph from the current
visualisation.<br>
    </p></blockquote>
Note that you can only fill the table incrementally (from the top position
to the bottom one). Then all actions (change color, delete or
hide/show) are disabled until data is loaded and graph is created. <br>
    <br>
The second table lets users to visualize computed sequence composition variables
graphs. Its behaviour is quite similar
from the table above. Each row has eigth fields.  <br>
The first three of them
are similar than previously, the only difference is that the variables
names are fixed. A computed variable can only be
set with the help of a reading frame, which determines an area where
calculation will be made for a particular position. Fields named
<b>Frame</b> and <b>Size</b> are two different ways to set the size of the
sliding window. You can make the slider move to a specific size or
input this size
directly in the next field of the row. Changes are automatically
reported to the visualisation panel (Beware that it is sometimes necessary to growth zoom to be able to see the graph, depending on the size of the overall sequence).<br>
The last three fields indicate the <b>mean</b>, <b>min</b> and <b>max</b> values of the corresponding variable.<br>
  </li><br>
  </ul>
  </div>
</blockquote>
<div class="title2">Example</div>
<blockquote>
  <div class="contain">This is a view of one loaded variable and one
computed one:<br>
  <br>
  <div style="text-align: center;"><img
 src="userguide_apollorna_files/ApolloMainWindowWithQuantVar_reduce.png"
 alt="Five graphs on Apollo window"></div>
  </div>
</blockquote>

<div><a name="SequenceInfo"></a></div>
<hr>
<div class="title1"> Getting information on selected sequence(s) <br></div>
<blockquote>
  <div class="contain">This extension allows to get information: 
  <ul>
    <li> G and C percent, </li>
    <li> number of non A,T,G,C nucleotides, </li>
    <li> intergenic percent, </li>
  </ul>
on selected sequence(s) and the entire loaded sequence.<br><br>
</div>

<div class="title2">Description</div>
<blockquote>
  <div class="contain"> Select a feature or a sequence, or several ones, open
Analysis menu and select "Selected sequence information...". A window 
opens (see the window below where two tRNAs are selected).<br><br>
  </div>
  <div style="text-align: center;"><img
 src="userguide_apollorna_files/SelectedSeqInfo.png"
 alt="Information window on selected sequences (here two tRNAs)"></div>
  </div>
</blockquote>

<div class="title2">Options</div>
<blockquote>
  <div class="contain">
  <ul>
    <li> Check the "Corresponding
genomic sequence +/- x bases" checkbox and put a x value in the
textfield, and the corresponding sequence and structure will be
computed and displayed in the same window.</li>
    <li> Click the "Save sequence as..." button to save the currently
displayed sequence(s) as a multiple-FASTA file.</li>
    <li>Click the "New info window..." button to launch a new
information window from the current one.</li>
    <li> Check the "Follow external selection" checkbox and the window
will follow selections made in the main Apollo window. </li>
  </ul>
  </div>
</blockquote>


<div><a name="ExportImage"></a></div>
<hr>
<!-- Export chained views -->
<div class="title1">Exporting chained views of a user-defined
sub-sequence</div>
<blockquote><p>
  <div class="contain">Apollo users could only print in a
file the current view of the main Apollo window. This extension allows
the export in files of a set of chained views of a subsequence. The
user enters the positions of a subsequence, a zoom factor and calls the
export: a set of image files is created. The images are ordered, zoomed
and chained views of the subsequence. </div>
</blockquote>
<div class="title2">Description</div>
<blockquote><p>
  <div class="contain">
  <ul>
    <li>Open the File menu and select "Export images". (Note that
this option is not possible for the synteny). A window opens (see below).</li>
    <li>In the first part of the window, enter parameters of image
contain: start and stop positions of the wished genomic subsequence,
zoom factor, overlapping between two consecutive images.</li>
    <li>In
the second part, using the "Browse to change" button, select the output
directory and enter the prefix of the name of resulted files.</li>
    <li>In the third part, click the "Export" button. </li>
  </ul>
  <div style="text-align: center;"><img
 src="userguide_apollorna_files/CommentExportImageWindow.png"
 alt="export image dialog"></div>
  </div>
</blockquote>
<div class="title2">Options</div>
<blockquote><p>
  <div class="contain">Click the "Compute number of files" button to
know the number of files, which will be created according to the
current
parameters. </div>
</blockquote>
<div class="title2">Results</div>
<blockquote><p>
  <div class="contain">Created images are chained zoomed views of the
subsequence which starts and stops at the specified positions.
Overlapping
value determines the number of nucleotids displayed in both consecutive
views.
Created images are PNG files ; their name is the entered file name,
followed by the character "_" and the number of the view.</div>
</blockquote>
<div class="title2">Example</div>
<blockquote><p>
  <div class="contain">The genomic sequence of <i>Pyrococcus abyssi</i> GE5 (1 765118 nt) is loaded in
Apollo. The export of a
subsequence starting to the position 198 000 and stopping to 210 000,
with a zoom factor equals to 200.0, with 1 000 overlapping nucleotids in
files whose name is prefixed by "NC000868" is loaded. <strong>2
image files</strong> are created: <i>NC000868_1.png</i> and <i>NC000868_2.png</i> (see
below). Note that the last image, NC000868_2.png, doesn't finish to the stop
position, but "contains" the stop position. <br>
  <br>
<img src="userguide_apollorna_files/NC000868_1_reduce.png" alt="view window">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<img src="userguide_apollorna_files/NC000868_2_reduce.png" alt="view window"></div>

</blockquote>

<hr>
<p class="update">
Last update: February 17, 2010.
</p>
</body>
</html>
